#!/bin/sh

. /usr/lib/linuxconf/install/rpm-identdist.sh

log(){
	# We don't need to log this in the install...
	# echo $* >>/tmp/linuxconf-rpminstall.log
	$*
}

# Things to do after installing

# This script is handed a 1 if it is a new install
# and a 2 if it is an upgrade

# Touch the various log files, so we get no logrotate errors...
if [ ! -f /var/log/htmlaccess.log ] ; then
	log touch /var/log/htmlaccess.log
fi

if [ ! -f /var/log/netconf.log ] ; then
	log touch /var/log/netconf.log
fi

log ln -sf $SYSVLINUXCONF/linuxconf $PATHINITD/linuxconf
log $CHKCONFIG --add linuxconf

/usr/lib/linuxconf/redhat/scripts/setmodules.sh
