#!/bin/sh
#	This small utility is used to collect the available memory and
#	swap. For the memory, it sums the free, cached and buffers.

memfree=`cat /proc/meminfo | grep MemFree: | ( read a b c && echo $b )`
cached=`cat /proc/meminfo | grep Cached: | ( read a b c && echo $b )`
buffers=`cat /proc/meminfo | grep Buffers: | ( read a b c && echo $b )`
total=`expr  $memfree + $cached + $buffers`
expr $total \* 1000
cat /proc/meminfo | grep SwapFree: | (read a b c && expr $b \* 1024)
uptime
echo Load average

