#!/bin/sh
# Just install few modules

installmod ()
{
  grep '^module.list.*'"$1"'$' /etc/conf.linuxconf >/dev/null 2>&1 || \
    linuxconf --setmod $1
}

installif ()
{
  [ -f "$1" ] && installmod $2
}

installmod redhatppp
installmod treemenu
installmod inittab
installmod motd
#installmod firewall
#installmod status
installif /etc/named.boot dnsconf
installif /etc/named.conf dnsconf
installif /etc/dhcpd.conf dhcpd
installif /etc/sendmail.cf mailconf
installif /etc/httpd/conf/httpd.conf apache
installif /etc/smb.conf samba
installif /etc/ftpaccess wuftpd


# Install the dialout module if they are some *.dconf
# (old module from before Red Hat dialout support was added)
NBDCONF=`ls /etc/ppp/*.dconf 2>/dev/null | wc -l`
NBDCONF=`expr $NBDCONF`
if [ "$NBDCONF" != "0" ] ; then
	linuxconf --setmod dialout
fi
